commit:     560a92f6f491c6b3369ce7d7ee4d6d7048ae4d7b
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 27 16:00:35 2019 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Sun Jan 27 16:01:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=560a92f6

dev-python/reportlab: bump to 3.5.13

I removed the sed and eprefixy because they had no effect.

I also disabled the two tests accessing internet through patching.

Closes: https://bugs.gentoo.org/616274
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/reportlab/Manifest                      |  1 +
 .../reportlab-3.5.13-disable-network-tests.patch   | 23 ++++++++
 dev-python/reportlab/reportlab-3.5.13.ebuild       | 65 ++++++++++++++++++++++
 3 files changed, 89 insertions(+)

diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index a450f04baba..9b9a81253b9 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,3 +1,4 @@
 DIST pfbfer-20070710.zip 677333 BLAKE2B 
100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df
 SHA512 
6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
 DIST reportlab-3.3.0.tar.gz 1959255 BLAKE2B 
0acd2d306da7836a2324b9a63c158b1b935cd393f5d1eb62cd15f8f4be6e48dac77807d1635ccafc569a47420dc3f4eec49c3ea3852a5a4241b10f0d73550865
 SHA512 
a6dbe5db13a9e430855ba8139310d8f04ade221c340467c2e0f5bf60c700f17148069358beb057f1667217a09b71ba1ae3112bd02e7c8de00e53a8f852acb8df
 DIST reportlab-3.4.0.tar.gz 1995779 BLAKE2B 
e1111e784ead913f803ba8151bf3585fdba9fb5e0c1d568c839d5ac08f5e6757b608c8049644264dd1f0bee5b4bb0c1750640a70feef34eff8e276d9929377e9
 SHA512 
7f00074b93be49e1aa7650e61381e285598599911b12a6b63c0f12d6eb64bc59afb6907b683350740b0a81c99a3164373b27e18cfccc0f9da12405c3dacd1ff7
+DIST reportlab-3.5.13.tar.gz 2842790 BLAKE2B 
1457b5eb18d2f294decd7bbee202f42900a443eb7a31c2af56cc2180154e1bb48c4044c499b14489c23210e78c9bafb3fbbcd0c5a28f1d2e25f57d91dcb48526
 SHA512 
50afcdb5e844cc7ec5c1cf72ca28556e98ad721dce5b20cfb32fa720d56b221b9bd2662a88ea5647b11306d80e653334635b54165daa02d3062cf9d051bbd24b

diff --git 
a/dev-python/reportlab/files/reportlab-3.5.13-disable-network-tests.patch 
b/dev-python/reportlab/files/reportlab-3.5.13-disable-network-tests.patch
new file mode 100644
index 00000000000..e1a760d4d46
--- /dev/null
+++ b/dev-python/reportlab/files/reportlab-3.5.13-disable-network-tests.patch
@@ -0,0 +1,23 @@
+diff -r f52d1198146d tests/test_lib_utils.py
+--- a/tests/test_lib_utils.py  Tue Jan 15 16:06:40 2019 +0000
++++ b/tests/test_lib_utils.py  Sun Jan 27 10:21:29 2019 -0500
+@@ -112,7 +112,7 @@
+         "test open and read of a relative file: URL"
+         b = _rel_open_and_read('file:../docs/images/Edit_Prefs.gif')
+ 
+-    def test9(self):
++    def xtest9(self):
+         "test open and read of an http: URL"
+         from reportlab.lib.utils import open_and_read
+         b = open_and_read('http://www.reportlab.com/rsrc/encryption.gif')
+diff -r f52d1198146d tests/test_platypus_general.py
+--- a/tests/test_platypus_general.py   Tue Jan 15 16:06:40 2019 +0000
++++ b/tests/test_platypus_general.py   Sun Jan 27 10:21:29 2019 -0500
+@@ -587,7 +587,7 @@
+ 
+ class PlatypusTestCase(unittest.TestCase):
+ 
+-    def test0(self):
++    def xtest0(self):
+         "Make a platypus document"
+         run()

diff --git a/dev-python/reportlab/reportlab-3.5.13.ebuild 
b/dev-python/reportlab/reportlab-3.5.13.ebuild
new file mode 100644
index 00000000000..31366f726b1
--- /dev/null
+++ b/dev-python/reportlab/reportlab-3.5.13.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} ) # Tests crash with pypy
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="http://www.reportlab.com/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz
+       http://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+RDEPEND="
+       dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
+       media-libs/libart_lgpl
+       sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       app-arch/unzip
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-3.5.13-disable-network-tests.patch"
+)
+
+src_unpack() {
+       unpack ${P}.tar.gz
+       cd ${P}/src/reportlab/fonts || die
+       unpack pfbfer-20070710.zip
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_compile() {
+       if ! python_is_python3; then
+               local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       fi
+       distutils-r1_python_compile
+}
+
+python_test() {
+       pushd tests > /dev/null || die
+       "${PYTHON}" runAll.py || die "Testing failed with ${EPYTHON}"
+       popd > /dev/null || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       if use examples ; then
+               docinto examples
+               dosod -r demos/. tools/pythonpoint/demos
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to